/*
package com.example.tracktrek;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.StreamCorruptedException;
import java.util.Collection;
import java.util.List;

import android.content.Intent;
import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapView;
import com.google.android.maps.Overlay;
import java.util.ArrayList;
import android.os.Bundle;


 * HelloGoogleMaps2 is passed route information from PreviousRoutes.
 * After collecting information it creates a route on top of a 
 * GoogleMap.
 * It was a part of testing and was unfruitful
 

public class HelloGoogleMaps2 extends MapActivity {

	double lati;
	double longi;
	double latA[];
	double longA[];
	double Alt;
	double AltA[];
	double AltA1[] = new double[2];
	private int length;
	private int Alength;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_hello_google_maps2);
		Intent intent = getIntent();
		String fileName = intent.getStringExtra(PreviousRoutes.Selected_File);
		FileInputStream fis;
		try {
			// The next line is where you give the name of file you want to read
			fis = openFileInput(fileName);
			ObjectInputStream ois = new ObjectInputStream(fis);

			Object RouteGPS[] = (Object[]) ois.readObject();
			Object Route[] = (Object[]) ois.readObject();
			ois.close();
			length = RouteGPS.length;
			latA = new double[length];
			longA = new double[length];
			// Alength = Route.length; ---- belongs to pretty version
			Alength = RouteGPS.length;
			AltA = new double[Alength];
			for (int i = 0; i < Alength; i++) {
				Alt = ((locationData) RouteGPS[i]).pressure;
				AltA[i] = Alt;
			}
			for (int i = 0; i < length; i++) {
				lati = ((locationData) RouteGPS[i]).latitude;
				longi = ((locationData) RouteGPS[i]).longitude;
				latA[i] = lati;
				longA[i] = longi;
			}
		} catch (FileNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (StreamCorruptedException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (ClassNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		MapView mapView = (MapView) findViewById(R.id.mapview);
		mapView.setBuiltInZoomControls(true);

		List<GeoPoint> RouteGPS = new ArrayList<GeoPoint>();
		for (int i = 0; i < length; i++) {
			RouteGPS.add(new GeoPoint((int) (latA[i] * 1E6),
					(int) (longA[i] * 1E6)));
		}

		// add points
		List<GeoPoint> RouteGPS1 = new ArrayList<GeoPoint>();
		Collection<Overlay> OverlayP = new ArrayList<Overlay>();

		for (int index = 0; index < length - 50; index++) {
			RouteGPS1.clear();
			RouteGPS1.add(new GeoPoint((int) (latA[index] * 1E6),
					(int) (longA[index] * 1E6)));
			RouteGPS1.add(new GeoPoint((int) (latA[index + 1] * 1E6),
					(int) (longA[index + 1] * 1E6)));
			AltA1[0] = AltA[index];
			AltA1[1] = AltA[index + 1];
			OverlayP.add(new RoutePathOverlay(RouteGPS1, AltA1));
		}

		mapView.getOverlays().addAll(OverlayP);

	}

	@Override
	protected boolean isRouteDisplayed() {
		return false;
	}
	/*
	 * @Override public boolean onCreateOptionsMenu(Menu menu) {
	 * getMenuInflater().inflate(R.menu.activity_hello_google_maps2, menu);
	 * return true; }
	
}
 */