package com.example.tracktrek;

import java.text.DateFormat;
import java.util.Date;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.text.Editable;
import android.view.Menu;
import android.view.View;
import android.widget.EditText;

/*
 * MenuScreen is the first activity shown when the app is launched.
 * You can Navigate the app from this view.
 */

public class MenuScreen extends Activity {
	
	
    protected View v;
    protected View v2;
    
    // Mo's addition
    public final static String Extra_Message = "com.example.tracktrek.MESSAGE";  // For Shared key preference

	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_menu_screen);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_menu_screen, menu);
        return true;
    }

    //Open the previous Routes Menu
    public void OpenPreviousRoutes(View view){
    	Intent OpenPreviousRoutes = new Intent(this,PreviousRoutes.class);
    	startActivity(OpenPreviousRoutes);
    }
    
    //Start The GPS
    public void StartRoute(View view){

    	String currentDateTimeString = DateFormat.getDateTimeInstance().format(new Date());    	
    	AlertDialog.Builder alert = new AlertDialog.Builder(this);
    	alert.setTitle("Name Route");
    	alert.setMessage(currentDateTimeString);
    	
    	// Set an EditText view to get user input for File Name
    	final EditText input = new EditText(this);
    	alert.setView(input);
    	alert.setPositiveButton("Ok", new DialogInterface.OnClickListener() {
    		public void onClick(DialogInterface dialog, int whichButton) {
    			// Mo's addition
    		  //I am doing something with the value
    		  Editable value = input.getText();
    		  String routeName = value.toString();
    		  LaunchPositionActivity(v, routeName);
    		  
    		  }
    		});

    		alert.setNegativeButton("Cancel", new DialogInterface.OnClickListener() {
    		  public void onClick(DialogInterface dialog, int whichButton) {
    		    // Canceled.
    		  }
    		});

    		alert.show();

    		
    }
    
    public void LaunchPositionActivity(View view, String route_name){
    	Intent intentToStartGPS = new Intent(this,PositionActivity.class);
	      intentToStartGPS.putExtra(Extra_Message, route_name);
    	startActivity(intentToStartGPS);

    }
    

    
    
 
}
